---
import { Icon } from "astro-icon";
import Link from "./Link.astro";
import navData from "../data/navData";
import { LanguageSelector } from "astro-i18next/components";
---

<nav aria-label="Primary" class="nav">
  <div class="navbar">
    <a href="/" class="logomark" aria-label="Go home">
      <Icon name="logomark" width="40" />
    </a>
    <ul>
      {
        navData.map((item) => (
          <Link
            text={item.name}
            href={item.path}
            style="primary"
            isFilled={false}
            data-navLink
          />
        ))
      }
    </ul>
  </div>
  <LanguageSelector showFlag={true} class="languages" />
</nav>

<script>
  import "../js/nav.js";
</script>

